List errors
curl --request GET \
--url https://api.atatus.com/v2/projects/{projectId}/errors \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.atatus.com/v2/projects/{projectId}/errors"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.atatus.com/v2/projects/{projectId}/errors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.atatus.com/v2/projects/{projectId}/errors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.atatus.com/v2/projects/{projectId}/errors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.atatus.com/v2/projects/{projectId}/errors")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.atatus.com/v2/projects/{projectId}/errors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "257113987:d34f4eab8d1255681716992d5fa42419",
"hashName": "d34f4eab8d1255681716992d5fa42419",
"message": "Cannot read property '7' of undefined",
"status": "Open",
"users": 15,
"events": 28,
"comments": 7,
"bugHerdLink": "",
"pivotalLink": "",
"jiraLink": "",
"asanaLink": "",
"youTrackLink": "",
"lighthouseLink": "",
"projectId": "257113987",
"teamId": "736128479015720349",
"trends": [
7,
0,
0,
1,
0,
9,
0,
5,
0,
0,
2,
0,
0,
4
],
"created": "2020-02-02T16:55:58.572Z",
"firstAt": "2020-02-02T16:55:58.572Z",
"lastAt": "2020-02-02T16:55:58.572Z"
},
{
"id": "257113987:d36f22f1cc8fdba76e4b1d4ce46b25cd",
"hashName": "d36f22f1cc8fdba76e4b1d4ce46b25cd",
"message": "$scope1 is not defined",
"status": "Open",
"users": 5,
"events": 12,
"comments": 4,
"bugHerdLink": "",
"pivotalLink": "",
"jiraLink": "",
"asanaLink": "",
"youTrackLink": "",
"lighthouseLink": "",
"projectId": "257113987",
"teamId": "736128479015720349",
"trends": [
2,
0,
0,
1,
0,
0,
4,
0,
1,
0,
3,
0,
0,
1
],
"created": "2020-01-31T07:22:49.607Z",
"firstAt": "2020-01-31T07:22:49.607Z",
"lastAt": "2020-01-31T07:22:49.607Z"
}
],
"trendDates": [
"2020-01-29 12:00",
"2020-01-30 00:00",
"2020-01-30 12:00",
"2020-01-31 00:00",
"2020-01-31 12:00",
"2020-02-01 00:00",
"2020-02-01 12:00",
"2020-02-02 00:00",
"2020-02-02 12:00",
"2020-02-03 00:00",
"2020-02-03 12:00",
"2020-02-04 00:00",
"2020-02-04 12:00",
"2020-02-05 00:00"
],
"count": 2,
"limit": 2,
"page": 1,
"totalCount": 4,
"totalPages": 2,
"hasMore": true
}{
"Message": "API key is invalid!"
}{
"Message": "Too many requests"
}{
"Message": "Internal server error"
}Errors
List errors
Returns the grouped errors of a project for a time range. Atatus groups similar exceptions into one error.
GET
/
projects
/
{projectId}
/
errors
List errors
curl --request GET \
--url https://api.atatus.com/v2/projects/{projectId}/errors \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.atatus.com/v2/projects/{projectId}/errors"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.atatus.com/v2/projects/{projectId}/errors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.atatus.com/v2/projects/{projectId}/errors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.atatus.com/v2/projects/{projectId}/errors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.atatus.com/v2/projects/{projectId}/errors")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.atatus.com/v2/projects/{projectId}/errors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "257113987:d34f4eab8d1255681716992d5fa42419",
"hashName": "d34f4eab8d1255681716992d5fa42419",
"message": "Cannot read property '7' of undefined",
"status": "Open",
"users": 15,
"events": 28,
"comments": 7,
"bugHerdLink": "",
"pivotalLink": "",
"jiraLink": "",
"asanaLink": "",
"youTrackLink": "",
"lighthouseLink": "",
"projectId": "257113987",
"teamId": "736128479015720349",
"trends": [
7,
0,
0,
1,
0,
9,
0,
5,
0,
0,
2,
0,
0,
4
],
"created": "2020-02-02T16:55:58.572Z",
"firstAt": "2020-02-02T16:55:58.572Z",
"lastAt": "2020-02-02T16:55:58.572Z"
},
{
"id": "257113987:d36f22f1cc8fdba76e4b1d4ce46b25cd",
"hashName": "d36f22f1cc8fdba76e4b1d4ce46b25cd",
"message": "$scope1 is not defined",
"status": "Open",
"users": 5,
"events": 12,
"comments": 4,
"bugHerdLink": "",
"pivotalLink": "",
"jiraLink": "",
"asanaLink": "",
"youTrackLink": "",
"lighthouseLink": "",
"projectId": "257113987",
"teamId": "736128479015720349",
"trends": [
2,
0,
0,
1,
0,
0,
4,
0,
1,
0,
3,
0,
0,
1
],
"created": "2020-01-31T07:22:49.607Z",
"firstAt": "2020-01-31T07:22:49.607Z",
"lastAt": "2020-01-31T07:22:49.607Z"
}
],
"trendDates": [
"2020-01-29 12:00",
"2020-01-30 00:00",
"2020-01-30 12:00",
"2020-01-31 00:00",
"2020-01-31 12:00",
"2020-02-01 00:00",
"2020-02-01 12:00",
"2020-02-02 00:00",
"2020-02-02 12:00",
"2020-02-03 00:00",
"2020-02-03 12:00",
"2020-02-04 00:00",
"2020-02-04 12:00",
"2020-02-05 00:00"
],
"count": 2,
"limit": 2,
"page": 1,
"totalCount": 4,
"totalPages": 2,
"hasMore": true
}{
"Message": "API key is invalid!"
}{
"Message": "Too many requests"
}{
"Message": "Internal server error"
}Authorizations
Path Parameters
A unique identifier of the project. See here to locate the Project ID.